import request from '@/utils/request'

// 查询参数分组列表
export function getGroups() {
  return request({
    url: '/group/list',
    method: 'get',
    baseURL: '/param'
  })
}

// 查询指定分组的参数列表
export function getGroupParams(group) {
  return request({
    url: `/group/params?group=${group}`,
    method: 'get',
    baseURL: '/param'
  })
}

// 更新参数值
export function updateParamValue(data) {
  return request({
    url: '/value',
    method: 'post',
    data: data,
    baseURL: '/param'
  })
}
